--- title: "getCloudMongoDbImageProductList" slug: "database-vmongodb-getcloudmongodbimageproductlist" updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vmongodb-getcloudmongodbimageproductlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudMongoDbImageProductList Available in VPC Get the list of Cloud DB for MongoDB image product codes. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET \| POST | /vmongodb/v2/getCloudMongoDbImageProductList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud DB for MongoDB (VPC) APIs, see [Cloud DB for MongoDB (VPC) request headers](/docs/en/database-vmongodb#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code to view the Cloud DB for MongoDB image product code list for - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) - First Region of the `getRegionList` query result (default) | | `productCode` | String | Optional | Filter by Cloud DB for MongoDB image product code - See [getCloudMongoDbImageProductList](/docs/en/database-vmongodb-getcloudmongodbimageproductlist) | | `exclusionProductCode` | String | Optional | Filter by excluding Cloud DB for MongoDB image product code - See [getCloudMongoDbImageProductList](/docs/en/database-vmongodb-getcloudmongodbimageproductlist) | | `generationCode` | String | Optional | Server generation code - `G2` \| `G3` | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmongodb/v2/getCloudMongoDbImageProductList ?regionCode=KR &productCode=SW.VMGDB.LNX64.CNTOS.0708.MNGDB.5025.CE.B050 &generationCode=G2 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [ProductList](/docs/en/common-vapidatatype-productlist) for the response body. ### Response status codes For information about the HTTP status codes common to all Cloud DB for MongoDB (VPC) APIs, see [Cloud DB for MongoDB (VPC) response status codes](/docs/en/database-vmongodb#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. - If `responseFormatType=json` ``` { "getCloudMongoDbImageProductListResponse": { "totalRows": 1, "productList": [ { "productCode": "SW.VMGDB.LNX64.CNTOS.0708.MNGDB.5025.CE.B050", "productName": "MongoDB 5.0.25 Community Edition", "productType": { "code": "LINUX", "codeName": "Linux" }, "productDescription": "CentOS 7.8 with MongoDB 5.0.25 Community Edition", "infraResourceType": { "code": "SW", "codeName": "Software" }, "infraResourceDetailType": { "code": "MNGOD", "codeName": "Mongod (Primary&Secondary)" }, "baseBlockStorageSize": 53687091200, "platformType": { "code": "LNX64", "codeName": "Linux 64 Bit" }, "osInformation": "CentOS 7.8 with MongoDB 5.0.25 Community Edition (64-bit)", "generationCode": "G2", "engineVersionCode": "MongoDB 5.0.25 Community Edition" } ], "requestId": "68dad367-****-****-****-453e3d4190ee", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` 68dad367-****-****-****-453e3d4190ee 0 success 1 SW.VMGDB.LNX64.CNTOS.0708.MNGDB.5025.CE.B050 MongoDB 5.0.25 Community Edition LINUX Linux CentOS 7.8 with MongoDB 5.0.25 Community Edition SW Software MNGOD Mongod (Primary&Secondary) 53687091200 LNX64 Linux 64 Bit CentOS 7.8 with MongoDB 5.0.25 Community Edition (64-bit) G2 MongoDB 5.0.25 Community Edition ```